Skip to main content

Type Alias: GatewayInferenceResponseTextDoneEvent

type GatewayInferenceResponseTextDoneEvent = {
[key: string]: unknown;
type: "response.output_text.done";
item_id: string;
output_index: number;
content_index: number;
text: string;
};

Defined in: src/models/ai-gateway-inference.ts:5080

Portkey ResponseTextDoneEvent; additive response fields are preserved.

Example​

`GatewayInferenceResponseTextDoneEventSchema.parse(value);`

Indexable​

[key: string]: unknown

Properties​

type​

type: "response.output_text.done";

Defined in: src/models/ai-gateway-inference.ts:5081


item_id​

item_id: string;

Defined in: src/models/ai-gateway-inference.ts:5082


output_index​

output_index: number;

Defined in: src/models/ai-gateway-inference.ts:5083


content_index​

content_index: number;

Defined in: src/models/ai-gateway-inference.ts:5084


text​

text: string;

Defined in: src/models/ai-gateway-inference.ts:5085